- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_router_policy6 – Configure IPv6 routing policies in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify router feature and policy6 category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
router_policy6 dictionary | Default: null | Configure IPv6 routing policies.
| comments string |  | Optional comments.
| dst string |  | Destination IPv6 prefix.
| end_port integer |  | End destination port number (1 - 65535).
| gateway string |  | IPv6 address of the gateway.
| input_device string |  | Incoming interface name. Source system.interface.name.
| output_device string |  | Outgoing interface name. Source system.interface.name.
| protocol integer |  | Protocol number (0 - 255).
| seq_num integer |  | Sequence number.
| src string |  | Source IPv6 prefix.
| start_port integer |  | Start destination port number (1 - 65535).
| state string | Choices: present absent | Deprecated Starting with Ansible 2.9 we recommend using the top-level 'state' parameter. Indicates whether to create or remove the object.
| status string | Choices: enable disable | Enable/disable this policy route.
| tos string |  | Type of service bit pattern.
| tos_mask string |  | Type of service evaluated bits.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string added in 2.9 | Choices: present absent | Indicates whether to create or remove the object. This attribute was present already in previous version in a deeper level. It has been moved out to this outer level.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure IPv6 routing policies.
        fortios_router_policy6:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          router_policy6:
            comments: "<your_own_value>"
            dst: "<your_own_value>"
            end_port: "5"
            gateway: "<your_own_value>"
            input_device: "<your_own_value> (source system.interface.name)"
            output_device: "<your_own_value> (source system.interface.name)"
            protocol: "9"
            seq_num: "10"
            src: "<your_own_value>"
            start_port: "12"
            status: "enable"
            tos: "<your_own_value>"
            tos_mask: "<your_own_value>"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.